package json.serialize.test.entity;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * A concrete car class representing Mitsubishi Lancer for demonstration. 
 * 
 */
public class Lancer extends Car {
	
	/**
	 * Single Instance of Attribues
	 */
	private static Map mAttr=null;
	
	/**
	 * Static code block which initializes the common attributes.
	 */
	static{
		mAttr=new HashMap();
		mAttr.put("Speed",new Double(200));
		mAttr.put("Color","Red");
		mAttr.put("Manufacturer","Mitsubishi");
		{
			String mParts[]={"Engine","Suspension","Transmission"};
			mAttr.put("Parts",mParts);
		}
		{
			List mGears=new ArrayList();
			mGears.add("1");
			mGears.add("2");
			mGears.add("3");
			mGears.add("4");
			mGears.add("5");
			mGears.add("R");
			mAttr.put("Transmission",mGears);
		}
		mAttr.put("Country","Japan");
	}

	/**
	 * Returns <code>Mitsubishi Lancer</code>
	 * 
	 * @return 'Mitsubishi Lancer'
	 */
	public String getName(){
		return "Mitsubishi Lancer";
	}

	/**
	 * Returns various attributes of Lancer
	 * 
	 * @return various attributes of Lancer
	 */
	public Map getAttributes() {
		return mAttr;	
	}
	
}
